Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.content
Interface ICellContent

All Superinterfaces:
  org.eclipse.birt.report.engine.css.engine.CSSStylableElement, IContainerContent, IContent, IElement, IStyledElement

    public interface ICellContent

extends IContainerContent

Provides the interfaces for Cell Content

Field Summary

Fields inherited from interface org.eclipse.birt.report.engine.content.IContent
`AUTOTEXT_CONTENT, CELL_CONTENT, CONTAINER_CONTENT, DATA_CONTENT, DOCUMENT_EXTENSION, FOREIGN_CONTENT, GROUP_CONTENT, IMAGE_CONTENT, LABEL_CONTENT, LAYOUT_EXTENSION, LIST_BAND_CONTENT, LIST_CONTENT, LIST_GROUP_CONTENT, PAGE_CONTENT, REPORT_CONTENT, ROW_CONTENT, SERIALIZE_CONTENT, TABLE_BAND_CONTENT, TABLE_CONTENT, TABLE_GROUP_CONTENT, TEXT_CONTENT`

Method Summary
`java.lang.String` | `getAntidiagonalColor()`
`int` | `getAntidiagonalNumber()`
`java.lang.String` | `getAntidiagonalStyle()`
`org.eclipse.birt.report.engine.ir.DimensionType` | `getAntidiagonalWidth()`
`int` | `getColSpan()`
`int` | `getColumn()`
`IColumn` | `getColumnInstance()`
`java.lang.String` | `getDiagonalColor()`
`int` | `getDiagonalNumber()`
`java.lang.String` | `getDiagonalStyle()`
`org.eclipse.birt.report.engine.ir.DimensionType` | `getDiagonalWidth()`
`boolean` | `getDisplayGroupIcon()`
`java.lang.String` | `getHeaders()`
`int` | `getRow()`
`int` | `getRowSpan()`
`java.lang.String` | `getScope()`
`boolean` | `hasDiagonalLine()`
`boolean` | `repeatContent()`
`void` | `setAntidiagonalColor(java.lang.String antidiagonalColor)`
`void` | `setAntidiagonalNumber(int antidiagonalNumber)`
`void` | `setAntidiagonalStyle(java.lang.String antidiagonalStyle)`
`void` | `setAntidiagonalWidth(org.eclipse.birt.report.engine.ir.DimensionType antidiagonalWidth)`
`void` | `setColSpan(int colSpan)`
`void` | `setColumn(int column)`
`void` | `setDiagonalColor(java.lang.String diagonalColor)`
`void` | `setDiagonalNumber(int diagonalNumber)`
`void` | `setDiagonalStyle(java.lang.String diagonalStyle)`
`void` | `setDiagonalWidth(org.eclipse.birt.report.engine.ir.DimensionType diagonalWidth)`
`void` | `setDisplayGroupIcon(boolean displayGroupIcon)`
`void` | `setHeaders(java.lang.String headers)`
`void` | `setRepeatContent(boolean repeatContent)`
`void` | `setRowSpan(int rowSpan)`
`void` | `setScope(java.lang.String scope)`

Methods inherited from interface org.eclipse.birt.report.engine.content.IContent
`accept, cloneContent, getACL, getBookmark, getContentType, getExtension, getExtensions, getGenerateBy, getHeight, getHelpText, getHyperlinkAction, getInlineStyle, getInstanceID, getName, getReportContent, getResultSet, getTOC, getUserProperties, getWidth, getX, getY, hasChildren, isDirectionRTL, isLastChild, isRTL, readContent, setACL, setBookmark, setExtension, setExtensions, setGenerateBy, setHasChildren, setHeight, setHelpText, setHyperlinkAction, setInlineStyle, setInstanceID, setLastChild, setName, setReportContent, setTOC, setUserProperties, setWidth, setX, setY, writeContent`

Methods inherited from interface org.eclipse.birt.report.engine.css.engine.CSSStylableElement
`getComputedStyle, getCSSEngine, getStyle`

Methods inherited from interface org.eclipse.birt.report.engine.content.IStyledElement
`getComputedStyle, getStyle, getStyleClass, setStyleClass`

Method Detail

### getColSpan

    int getColSpan()

  Returns:
    the column span

### getRowSpan

    int getRowSpan()

  Returns:
    Returns the rowSpan.

### getColumn

    int getColumn()

  Returns:
    the column number

### getColumnInstance

    IColumn getColumnInstance()

  Returns:
    the column content.

### getRow

    int getRow()

  Returns:

### setColumn

    void setColumn(int column)

### setRowSpan

    void setRowSpan(int rowSpan)

### setColSpan

    void setColSpan(int colSpan)

### setDisplayGroupIcon

    void setDisplayGroupIcon(boolean displayGroupIcon)

### getDisplayGroupIcon

    boolean getDisplayGroupIcon()

### hasDiagonalLine

    boolean hasDiagonalLine()

### getDiagonalNumber

    int getDiagonalNumber()

### setDiagonalNumber

    void setDiagonalNumber(int diagonalNumber)

### getDiagonalStyle

    java.lang.String getDiagonalStyle()

### setDiagonalStyle

    void setDiagonalStyle(java.lang.String diagonalStyle)

### getDiagonalWidth

    org.eclipse.birt.report.engine.ir.DimensionType getDiagonalWidth()

### setDiagonalWidth

    void setDiagonalWidth(org.eclipse.birt.report.engine.ir.DimensionType diagonalWidth)

### getDiagonalColor

    java.lang.String getDiagonalColor()

### setDiagonalColor

    void setDiagonalColor(java.lang.String diagonalColor)

### getAntidiagonalNumber

    int getAntidiagonalNumber()

### setAntidiagonalNumber

    void setAntidiagonalNumber(int antidiagonalNumber)

### getAntidiagonalStyle

    java.lang.String getAntidiagonalStyle()

### setAntidiagonalStyle

    void setAntidiagonalStyle(java.lang.String antidiagonalStyle)

### getAntidiagonalWidth

    org.eclipse.birt.report.engine.ir.DimensionType getAntidiagonalWidth()

### setAntidiagonalWidth

    void setAntidiagonalWidth(org.eclipse.birt.report.engine.ir.DimensionType antidiagonalWidth)

### getAntidiagonalColor

    java.lang.String getAntidiagonalColor()

### setAntidiagonalColor

    void setAntidiagonalColor(java.lang.String antidiagonalColor)

### getHeaders

    java.lang.String getHeaders()

### setHeaders

    void setHeaders(java.lang.String headers)

### getScope

    java.lang.String getScope()

### setScope

    void setScope(java.lang.String scope)

### repeatContent

    boolean repeatContent()

### setRepeatContent

    void setRepeatContent(boolean repeatContent)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.